## python-pyepsg 0.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyepsg.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyepsg.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyepsg"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyepsg"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-pyepsg 0.3.2

=== debian/changelog ===
python-pyepsg (0.3.2-2ubuntu1) focal; urgency=medium

  * Ignore the results of the autopkg tests, broken online test,
    see https://github.com/rhattersley/pyepsg/issues/15.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Jan 2020 19:51:24 +0100

python-pyepsg (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #938062).
  * d/control: Remove ancient X-Python3-Version field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * d/rules: Remove get-orig-source target.

 -- Ondřej Nový <onovy@debian.org>  Fri, 06 Sep 2019 16:04:08 +0200

python-pyepsg (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2
  * Drop the patch queue, applied upstream
  * Move extend-diff-ignore to d/s/options

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 08 Jun 2017 09:56:38 +0100

python-pyepsg (0.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #863305)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 26 May 2017 11:47:02 +0100

=== debian/control ===
Source: python-pyepsg
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               sphinx-common
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/science-team/python-pyepsg
Vcs-Git: https://salsa.debian.org/science-team/python-pyepsg.git
Homepage: https://github.com/rhattersley/pyepsg

Package: python3-pyepsg
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pyepsg-doc <!nodoc>
Description: easy access to the EPSG database (Python 3)
 A simple interface to EPSG.io (https://epsg.io/).
 .
 EPSG.io simplifies the discovery of coordinate reference systems
 utilized all over the world for creating maps and geodata and for
 identifying geo-position. It is a practical tool for anybody interested
 in cartography and digital map making, who needs to know exact latitude
 and longitude values for numerical coordinates in different spatial
 reference systems.
 .
 This package provides the modules for Python 3.

Package: python-pyepsg-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for pyepsg
 A simple interface to EPSG.io (https://epsg.io/).
 .
 EPSG.io simplifies the discovery of coordinate reference systems
 utilized all over the world for creating maps and geodata and for
 identifying geo-position. It is a practical tool for anybody interested
 in cartography and digital map making, who needs to know exact latitude
 and longitude values for numerical coordinates in different spatial
 reference systems.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = pyepsg
#export PYBUILD_DISABLE = test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --doctest-modules --pyargs pyepsg || true
 ; done
Depends: python3-all,
         python3-pyepsg,
         python3-pytest

## python-pyepsg 0.4.0

=== debian/changelog ===
python-pyepsg (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * Rebuild to drop ancient sphinx in Built-Using field.
  * New upstream version 0.4.0.
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Drop legacy build-dep dpkg-dev.
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jun 2022 20:57:56 -0400

=== debian/control ===
Source: python-pyepsg
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 sphinx-common,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/python-pyepsg
Vcs-Git: https://salsa.debian.org/science-team/python-pyepsg.git
Homepage: https://github.com/rhattersley/pyepsg

Package: python-pyepsg-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation for pyepsg
 A simple interface to EPSG.io (https://epsg.io/).
 .
 EPSG.io simplifies the discovery of coordinate reference systems
 utilized all over the world for creating maps and geodata and for
 identifying geo-position. It is a practical tool for anybody interested
 in cartography and digital map making, who needs to know exact latitude
 and longitude values for numerical coordinates in different spatial
 reference systems.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python3-pyepsg
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pyepsg-doc <!nodoc>,
Description: easy access to the EPSG database (Python 3)
 A simple interface to EPSG.io (https://epsg.io/).
 .
 EPSG.io simplifies the discovery of coordinate reference systems
 utilized all over the world for creating maps and geodata and for
 identifying geo-position. It is a practical tool for anybody interested
 in cartography and digital map making, who needs to know exact latitude
 and longitude values for numerical coordinates in different spatial
 reference systems.
 .
 This package provides the modules for Python 3.

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --doctest-modules --pyargs pyepsg
 ; done
Depends:
 python3-all,
 python3-pyepsg,
 python3-pytest,
